[原]Fedora更新系统时Transaction check error解决

何攀 17/07/17 11:53:24

Fedora 执行 sudo yum update 或 sudo yum upgrade 更新系统时出现如下错误解决:

错误:Transaction check error:
  file /usr/share/doc/libtiff/RELEASE-DATE from install of libtiff-4.0.8-1.fc25.i686 conflicts with file from package libtiff-4.0.7-5.fc25.x86_64
  file /usr/share/doc/libtiff/VERSION from install of libtiff-4.0.8-1.fc25.i686 conflicts with file from package libtiff-4.0.7-5.fc25.x86_64
  file /usr/share/doc/graphite2/ChangeLog from install of graphite2-1.3.10-1.fc25.i686 conflicts with file from package graphite2-1.3.6-1.fc25.x86_64

Error Summary
-------------

这里写图片描述

解决方法:
  将发生冲突的rpm包卸载掉即可,具体操作如下:

sudo rpm -e 冲突包名
例: sudo rpm -e graphite2-1.3.6-1.fc25.x86_64

或者 sudo rpm -e `rpm -qa | grep 包名关键字`
例: sudo rpm -e `rpm -qa | grep graphite2`

然后重新执行 sudo yum update 或 sudo yum upgrade更新系统即可。
作者:Oscer2016 发表于2017/7/17 11:53:24 原文链接
阅读:2 评论:0 查看评论